Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02071 Crash/Freeze Critical (emulator) Always Aug 2, 2008, 10:51 Aug 13, 2008, 03:51
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To R. Belmont Resolution Fixed OS
Status [?] Resolved Driver coolridr.cpp
Version 0.126u3 Fixed in Version 0.126u5 Build Debug
Fixed in Git Commit Github Pull Request #
Summary 02071: coolridr: Access Violation
Description -----------------------------------------------------
Exception at EIP=0116F26D (sh2_describe+0x000d): ACCESS VIOLATION
While attempting to read memory at 30E13FFE
-----------------------------------------------------
EAX=30E13FFE EBX=178B1BF8 ECX=0116F260 EDX=150F0000
ESI=00000000 EDI=00000000 EBP=0022F818 ESP=0022F7E0
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.126u1
Affected Sets / Systems coolridr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.01883
etabeta
Developer
Aug 2, 2008, 11:46
confirmed. the issue seems to be in the SH2 recompiler (below backtrace from SDLMAME)

Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_INVALID_ADDRESS at address: 0x3c1b7022
0x00abca27 in sh2_describe (param=0x1f5dd000, desc=0x73a6f20, prev=0x0) at src/emu/cpu/sh2/sh2fe.c:40
40              UINT16 opcode = *desc->opptr.w;
(gdb) bt
#0  0x00abca27 in sh2_describe (param=0x1f5dd000, desc=0x73a6f20, prev=0x0) at src/emu/cpu/sh2/sh2fe.c:40
#1  0x00c2525a in describe_one (drcfe=0x73b2410, curpc=536879104, prevdesc=0x0) at src/emu/cpu/drcfe.c:310
#2  0x00c24fa3 in drcfe_describe_code (drcfe=0x73b2410, startpc=536879104) at src/emu/cpu/drcfe.c:231
#3  0x00aa5ca9 in code_compile_block (drcuml=0x215dce88, mode=0 '
Program received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_INVALID_ADDRESS at address: 0x3c1b7022
0x00abca27 in sh2_describe (param=0x1f5dd000, desc=0x73a6f20, prev=0x0) at src/emu/cpu/sh2/sh2fe.c:40
40 UINT16 opcode = *desc->opptr.w;
(gdb) bt
#0 0x00abca27 in sh2_describe (param=0x1f5dd000, desc=0x73a6f20, prev=0x0) at src/emu/cpu/sh2/sh2fe.c:40
#1 0x00c2525a in describe_one (drcfe=0x73b2410, curpc=536879104, prevdesc=0x0) at src/emu/cpu/drcfe.c:310
#2 0x00c24fa3 in drcfe_describe_code (drcfe=0x73b2410, startpc=536879104) at src/emu/cpu/drcfe.c:231
#3 0x00aa5ca9 in code_compile_block (drcuml=0x215dce88, mode=0 '\0', pc=536879104) at src/emu/cpu/sh2/sh2drc.c:877
#4 0x00aa5bf7 in sh2_execute (cycles=466666) at src/emu/cpu/sh2/sh2drc.c:846
#5 0x006bf190 in cpunum_execute (cpunum=0, cycles=466666) at src/emu/cpuintrf.c:1467
#6 0x006bb02e in cpuexec_timeslice (machine=0x735eed0) at src/emu/cpuexec.c:283
#7 0x006ec956 in mame_execute (options=0x73327c0) at src/emu/mame.c:345
#8 0x006b8580 in cli_execute (argc=2, argv=0x7306c50, osd_options=0x20fe840) at src/emu/clifront.c:171
#9 0x00674f19 in SDL_main (argc=2, argv=0x7306c50) at src/osd/sdl/sdlmain.c:327
', pc=536879104) at src/emu/cpu/sh2/sh2drc.c:877 #4 0x00aa5bf7 in sh2_execute (cycles=466666) at src/emu/cpu/sh2/sh2drc.c:846 #5 0x006bf190 in cpunum_execute (cpunum=0, cycles=466666) at src/emu/cpuintrf.c:1467 #6 0x006bb02e in cpuexec_timeslice (machine=0x735eed0) at src/emu/cpuexec.c:283 #7 0x006ec956 in mame_execute (options=0x73327c0) at src/emu/mame.c:345 #8 0x006b8580 in cli_execute (argc=2, argv=0x7306c50, osd_options=0x20fe840) at src/emu/clifront.c:171 #9 0x00674f19 in SDL_main (argc=2, argv=0x7306c50) at src/osd/sdl/sdlmain.c:327
User avatar
No.02039
R. Belmont
Developer
Aug 11, 2008, 13:16
UDRC cores crash when the PC goes undefined, which is expected in skeleton drivers.
User avatar
No.02048
Haze
Senior Tester
Aug 12, 2008, 06:43
but I don't think the PC used to go undefined, both CPUs were stuck waiting for each other to do something.. not crashed..